
@ set CC	gcc
@ set YY	yacc
@ set PC	p2c
@ set DEP	mdep
@ set INCLUDES	"-I${src_dir} -Isrc/h -I/export/home1/joshua/lib/include"
@ set CFLAGS	"-g -c -Wreturn-type -D_POSIX_C_SOURCE=199506L -D__EXTENSIONS__ -DMETH_TC -D_REENTRANT"
@ set LIB	"-L/mnt/j2-1/joshua/lib -L/export/home1/joshua/lib"

# -DSOLARIS for sparc sun solaris
# -DPC_SOLARIS for pc solaris

@ set YFLAGS	-d

@ source	src
@ work		work

@ insert	r64
@ insert	machine
@ insert	utils

@ insert	ppm2r64
@ insert	ppm
@ insert	mview
@ insert	gbview
@ insert	endian
@ insert	xl
@ insert	r64status

@ insert	longchar
@ insert	stream
@ insert	memory_debug

@ insert	gbs
@ insert	pdb/fa
@ insert	pdb/status
@ insert	pdb/svg2pp
@ insert	pdb/nig2svg
@ insert	pdb/netmapper
@ insert	pdb/favt
@ insert	pdb/makekyotodb
@ insert	pdb/associate
@ insert	pdb/svg2gb
@ insert	image

@ insert	version

@ tree

@ make sufix .c from sufix - .y
	${YY} ${YFLAGS} ${from}
 	cp y.tab.c ${to}.c
 	rm y.tab.c


@ make sufix .o from sufix - .c
	${DEP} ${INCLUDES} -i${from} -o${to}.c.ap
	${CC} ${CFLAGS} ${INCLUDES} -o ${to}.o ${from}

@ make sufix .o from sufix - .t
	${PC} ${from} ${to}.c
	${DEP} ${INCLUDES} -i${from} -o${to}.c.ap
	${CC} ${CFLAGS} ${INCLUDES} -o ${to}.o ${to}.c


@ make file bin/xlsv from sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/xl/server_function .o sufix work/machine/net .o sufix work/xl/server .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}

# stop



@ make file bin/cosmos from sufix work/gbs/lib/lump .o sufix work/gbs/lib/resource .o sufix work/utils .o sufix work/gbview .o sufix work/r64 .o sufix work/machine/viewlib .o sufix work/machine/thread .o sufix work/machine/net .o sufix work/gbs/lib/maputils .o sufix work/endian .o sufix work/http .o sufix work/longchar .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/utils .o sufix work/memory_debug .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/process .o sufix work/gbs/lib/trailer .o sufix work/version .o sufix work/gbs/lib/version .o sufix work/image .o

	${CC} -o ${to}  -D_POSIX_C_SOURCE=199506L ${from} ${LIB} -lz -lsocket -lnsl -lm -lX11 -lposix4 -lpthread

# stop

@ make file bin/gbstd from sufix work/gbs/std .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/gbs/lib/mp .o sufix work/version .o sufix work/gbs/lib/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}


# stop

@ make file bin/gbmp from sufix work/gbs/lib/lump .o sufix work/gbs/mp .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/gbs/lib/mp .o sufix work/xl/server_function .o sufix work/version .o sufix work/gbs/lib/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}

# stop


@ make file bin/xllock from sufix work/xl/lock .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}

# stop

@ make file bin/exl from sufix work/xl/exsh .o sufix work/xl/ex_function .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/pdb/associate .o sufix work/pdb/favt .o sufix work/pdb/fa .o sufix work/gbs/lib/maputils .o sufix work/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}

# stop

@ make file bin/gbpdbp from sufix work/gbs/pdbp .o sufix work/pdb/fa .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/gbs/lib/maputils .o sufix work/gbs/lib/trailer .o sufix work/version .o sufix work/gbs/lib/version .o sufix work/xl/compress .o sufix work/image/zlib .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${from} ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm -lz



@ make file bin/xl from sufix work/xl/sh .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}

# stop

@ make file bin/ppm2r64 from sufix work/r64 .o sufix work/ppm2r64 .o sufix work/ppm .o sufix work/endian .o sufix work/utils/panic .o sufix work/image/jpeg .o
	${CC} -o ${to} ${from} ${LIB} -lz -lm

# stop

@ make file bin/r64status from sufix work/r64 .o sufix work/endian .o sufix work/r64status .o sufix work/utils/panic .o sufix work/image/jpeg .o
	${CC} -o ${to} -lm ${from}

# stop








@ make file bin/svg2pp from sufix work/pdb/svg2pp .o sufix work/pdb/fa .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/gbs/lib/maputils .o sufix work/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}

# stop







@ make file bin/gbpmd from sufix work/gbs/lib/pfc .o sufix work/gbs/lib/pmd .o sufix work/gbs/lib/lump .o sufix work/gbs/lib/resource .o sufix work/gbs/pmd .o sufix work/utils .o sufix work/endian .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/utils .o sufix work/memory_debug .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/thread .o sufix work/machine/net .o sufix work/machine/process .o sufix work/gbs/lib/maputils .o sufix work/pdb/favt .o sufix work/pdb/fa .o sufix work/version .o sufix work/gbs/lib/version .o

	${CC} -o ${to}  -D_POSIX_C_SOURCE=199506L -lsocket -lnsl -lm -lX11 -lposix4 -lpthread ${from}





@ make file bin/makekyotodb from sufix work/pdb/favt .o sufix work/xl/ex_function .o sufix work/pdb/associate .o sufix work/pdb/makekyotodb .o sufix work/pdb/fa .o sufix work/utils .o sufix work/endian .o sufix work/xl/lib .o sufix work/machine/thread .o sufix work/stream .o sufix work/longchar/std .o sufix work/machine/stream .o sufix work/machine/utils .o sufix work/machine/net .o sufix work/xl/function .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/gbs/lib/maputils .o sufix work/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}



@ make file bin/netmapper from sufix work/pdb/netmapper .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/gbs/lib/maputils .o sufix work/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}



@ make file bin/nig2svg from sufix work/pdb/nig2svg .o sufix work/memory_debug .o sufix work/utils/panic .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lm ${from}





@ make file bin/pdbstatus from sufix work/pdb/status .o sufix work/pdb/fa .o sufix work/endian .o sufix work/memory_debug .o sufix work/utils/avt .o sufix work/utils/panic .o sufix work/utils/copy .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lm ${from}


@ make file bin/gbr64 from sufix work/gbs/r64 .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/r64 .o sufix work/version .o sufix work/gbs/lib/version .o sufix work/image .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${from} ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm -lz



# make file bin/mview from sufix work/r64 .o sufix work/mview .o sufix work/machine/viewlib .o sufix work/endian .o sufix work/memory_debug .o sufix work/utils/panic .o
#	${CC} -o ${to} -lm -lX11 ${from}


@ make file bin/svg2gb from sufix work/pdb/svg2gb .o sufix work/pdb/fa .o sufix work/gbs/lib/maputils .o sufix work/longchar/std .o sufix work/stream .o sufix work/machine/stream .o sufix work/machine/thread .o sufix work/utils .o sufix work/machine/utils .o sufix work/xl/lib .o sufix work/xl/function .o sufix work/machine/net .o sufix work/machine/process .o sufix work/memory_debug .o sufix work/endian .o sufix work/version .o

	${CC} -o ${to} -D_POSIX_C_SOURCE=199506L ${LIB} -lsocket -lnsl -lposix4 -lpthread -lm ${from}

